<template>
  <div class="row">
    <h2 class="col-12" style="text-align: center; font-weight: bold">
      ADD CUSTOMER
    </h2>
    <div class='col-2'></div>
    <div class="col-8">
      <div class="form-row">
        <!-- <div class="form-group col-md-3">
          <label class="label-bold">Customer Id</label>
          <input
            type="text"
            class="form-control"
            placeholder="Customer Id"
            v-model="customer_id"
          />
        </div> -->
        <div class="form-group col-md-12">
          <label class="label-bold">Name</label>
          <input
            type="text"
            class="form-control"
            placeholder="Customer Name"
            v-model="name"
          />
        </div>
      </div>
      <div class="form-group">
        <label class="label-bold">Address</label>
        <input
          type="text"
          class="form-control"
          placeholder="Enter your address"
          v-model="address"
        />
      </div>
      <div class="form-group">
        <label class="label-bold">Phone Number</label>
        <input
          type="phone"
          class="form-control"
          placeholder="Phone number"
          v-model="phoneNumber"
        />
      </div>
      <div class="form-row">
        <div class="form-group col-md-6">
          <label class="label-bold">Email</label>
          <input
            type="email"
            class="form-control"
            placeholder="Email"
            v-model="email"
          />
        </div>
        <div class="form-group col-md-6">
          <label class="label-bold">Fax</label>
          <input
            type="phone"
            class="form-control"
            placeholder="Fax"
            v-model="fax"
          />
        </div>
      </div>
      <br />
      <button
        class="btn btn-block btn-outline-primary button-style"
        @click="handleAddCustomer"
      >
        Add customer
      </button>
    </div>
    <div class='col-2'></div>

  </div>
</template>

<script>
export default {
  name: "addcustomer",
  data() {
    return {
      customer_id: 0,
      name: "Thinh",
      address: "404/28 Nguyen Dinh Chieu",
      phoneNumber: "0908117036",
      email: "thinh.nguyen0908117036@gmail.com",
      fax: "8271365",
    };
  },
  methods: {
    async handleAddCustomer() {
      console.log("Call API here");
      var res = await axios.post(
        "https://ahasoft-sample-apis.azurewebsites.net/Customer",
        {
          // id: this.customer_id,
          name: this.name,
          address: this.address,
          email: this.email,
          phoneNumber: this.phoneNumber,
          fax: this.fax,
        }
      );
      if (res.status === 200) {
        // alert("Add customer successfully!");
        this.$swal('Add customer successfully!!!', '', 'success');
      }
    },
  },
  computed: {},
  components: {},
  props: {},
};
</script>

<style>
.label-bold {
  font-weight: bold;
}
.button-style {
  font-weight: bold;
}
</style>